<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.testor.module.hazard.dao.THazardAssessmentDetailsDao">
    <!-- 开启二级缓存 -->
    <!-- <cache type="org.mybatis.caches.ehcache.LoggingEhcache"/> -->
    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.testor.module.hazard.model.domain.THazardAssessmentDetails">
                <id column="id" property="id"/>
                <id column="assessment_id" property="assessmentId"/>
                <id column="stage" property="stage"/>
                <id column="work_step" property="workStep"/>
                <id column="major_risk" property="majorRisk"/>
                <id column="consequence" property="consequence"/>
                <id column="control_measures" property="controlMeasures"/>
                <id column="is_satisfied" property="isSatisfied"/>
    </resultMap>
</mapper>